Package ch.qos.logback.core.joran.spi

# Class ActionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ch.qos.logback.core.joran.spi.ActionException

All Implemented Interfaces:
  `Serializable`

public class ActionException extends Exception
By throwing an exception an action can signal the Interpreter to skip processing of all the nested (child) elements of the element associated with the action causing the exception.

Author:
  Ceki Gulcu
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ActionException()`
`ActionException(Throwable rootCause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ActionException

public ActionException()

### ActionException

public ActionException(Throwable rootCause)